{ description = "Curriculum Vitae";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, flake-utils}:
  let pkgs = nixpkgs.legacyPackages.x86_64-linux;
      inputName = "cv";
  in {
    packages.x86_64-linux = rec {
      devShell = pkgs.mkShell {
        buildInputs = with pkgs; [
          coreutils
          texlive.combined.scheme-full
          texlab
        ];
      };
      document = pkgs.stdenvNoCC.mkDerivation {
        pname   = "Curriculum Vitae";
        version = "1.1";
        src = ./src;
        buildInputs = with pkgs; [
          coreutils
          texlive.combined.scheme-full
        ];
        buildPhase = ''
          mkdir -p .cache/texmf-var
          env TEXMFHOME=.cache TEXMFVAR=.cache/texmf-var \
            latexmk -interaction=nonstopmode -pdf -pdflatex \
            ${inputName}.tex
        '';
        installPhase = ''
          mkdir -p $out
          cp ${inputName}.pdf $out
        '';
      };
      default = document;
    };
    hydraJobs = {
      inherit (self) packages;
    };
  };
}
